Bug 1286328 - [UX] Installer message could be much more useful
[UX] Installer message could be much more useful
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Linux
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 23:31 EST by Ian Romanick
Modified: 2016-11-30 04:33 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-30 04:33:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image showing non-useful error message (99.77 KB, image/jpeg)
2015-11-27 23:31 EST, Ian Romanick
no flags Details

  None (edit)
Description Ian Romanick 2015-11-27 23:31:57 EST
Created attachment 1099812 [details]
Image showing non-useful error message

Description of problem:

While performing a netinstall of F23, I encountered an error message that the mirror.fedora.com CA certificates had expired.  This was, of course, false.  The real problem was that after resetting the CMOS, I had not set the system date.  The system thought it was 1/1/2006, and that somehow confused the expiration check... presumably because the current date is before the date the certificate was issued.

Unfortunately I was not able to debug this on my own.  I needed help from the folks on #fedora.  If the error message had told me the current date and the valid date range of the certificate, the problem would have been obvious, and I could have solved it trivially.

Steps to Reproduce:
1. Set CMOS date to 1/1/2006
2. Try to netinstall F23.
3.
Comment 1 Kevin Fenzi 2015-11-28 00:29:46 EST
Moving to anaconda (installer) folks.
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:34:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-11-24 08:48:01 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.